@echo off
set libdir=..\cyborn\lib
set incdir=..\cyborn\include
set builddir=..\cyborn\build
set boot=tfslide.boot

echo 'C to Assembly..'
..\bin\h8300-hms-gcc.exe *.c -I %incdir% -S -ms

echo 'Assembling..'
copy %builddir%\crt0.o 0crt.o
..\bin\h8300-hms-as.exe slide.s -o ele.o 
..\bin\h8300-hms-as.exe cvd1.s  -o cvd1.o
..\bin\h8300-hms-as.exe support.s  -o support.o

echo 'Linking...'
..\bin\h8300-hms-ld.exe -T %builddir%\cybikoboot.ld *.o %libdir%\libcyborn.a --relax -o %boot%

echo 'Object..'
..\bin\h8300-hms-objcopy.exe %boot% -O binary -I coff-h8300

echo 'Clean up'
del *.o *.s

pause
